$(function(){
	//更多页获取标题
	$('.wrapper-more00 #header h1').text( $(".moreList [class^='nsy']").data('nsyname'));
	
    //回到页面顶部位置
    $(".toTop").click(function(){
    	$('body,html').animate({scrollTop:0},400);
    	return false;
    });
    // 更多页图文上下修改
    $('.nsy-picnews1-ul li').width('auto').find('img').removeAttr('width').width('100%').height(0.54*$('.nsy-picnews1-ul li img').width());
    // 删除图文上下详情
    $('.nsy-picnews1-summary .nsy-picNews1-link').remove();

    // 首页幻灯片
    $('.wrapper').height($(window).height());
    $(".main_visual").hover(function(){
        $("#btn_prev,#btn_next").fadeIn()
    },function(){
        $("#btn_prev,#btn_next").fadeOut()
    });
    
    $dragBln = false;
    
    $(".main_image").touchSlider({
        flexible : true,
        speed : 200,
        btn_prev : $("#btn_prev"),
        btn_next : $("#btn_next"),
        paging : $(".flicking_con a"),
        counter : function (e){
            $(".flicking_con a").removeClass("on").eq(e.current-1).addClass("on");
        }
    });
    
    $(".main_image").bind("mousedown", function() {
        $dragBln = false;
    });
    
    $(".main_image").bind("dragstart", function() {
        $dragBln = true;
    });
    
    $(".main_image a").click(function(){
        if($dragBln) {
            return false;
        }
    });
    
    timer = setInterval(function(){
        $("#btn_next").click();
    }, 5000);
    
    $(".main_visual").hover(function(){
        clearInterval(timer);
    },function(){
        timer = setInterval(function(){
            $("#btn_next").click();
        },5000);
    });
    
    $(".main_image").bind("touchstart",function(){
        clearInterval(timer);
    }).bind("touchend", function(){
        timer = setInterval(function(){
            $("#btn_next").click();
        }, 5000);
    });

    // 图文左右栏目修改
    $('.nsy-picnews2-ul li').each(function(){
        var $linkhref=$(this).find('a').attr('href');
        var $clickTimes=$(this).find('.nsy-newsClick').text();
        $(this).wrap('<a class="wrap-link"/>');
        $(this).parent('.wrap-link').attr('href',$linkhref);
        $(this).find('.nsy-newsClick').text('访问次数：'+$clickTimes);
    });

    // 菜单滚动
    var myScroll = new IScroll('.nav-top-wrap',{ scrollX: true, scrollY: false,click: true});
        // document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);

    // 菜单选中
    var id=window.location.search.split("menuId=")[1];
        a_s_r($('.nav-top a[href$="\='+id+'"]'),'current');

    $('.nav-top a').each(function(index){
        var $sum_width=$('.nav-top').width();
        if($(this).hasClass('current')){
            var $left=0;
            for(var i=0;i<index;i++){
                $left=$left+$('.nav-top a').eq(i).width();
            }
            if($left>$sum_width-$(window).width()){
                myScroll.scrollTo($(window).width()-$sum_width, 0);
            }else{
                myScroll.scrollTo(-$left, 0);
            }
        }
    });
})
function a_s_r(o,c){
	o.addClass(c).siblings().removeClass(c);
}
